Bug Hunting Session
Bug 113861 - Chart data regions reduced in favor of labels
Summary: Chart data regions reduced in favor of labels
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
5.4.0.3 release
Hardware: All All
: medium normal
Assignee: Vasily Melenchuk (CIB)
URL:
Whiteboard: target:6.0.0 target:6.1.0 target:6.0.0.1
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-15 16:16 UTC by Vasily Melenchuk (CIB)
Modified: 2018-01-15 10:10 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
testcase (8.29 KB, application/vnd.oasis.opendocument.spreadsheet)
2017-11-15 16:17 UTC, Vasily Melenchuk (CIB)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vasily Melenchuk (CIB) 2017-11-15 16:16:50 UTC
Description:
Chart's data regions with empty areas can be implicitly reduced and used for headers/labels, leading to unexpected chart view.

Steps to Reproduce:
1. Open attached document
2. Create a new chart:
2.1 Chart type: keep default (Column)
2.2 Data ranges: select marked in document from A1 to D4 ($Sheet1.$A$1:$D$4)
2.3 Ensure that checkboxes "First row as label" & "First column as label" are set.

Other chart settings are not important and left default.

Actual Results:  
Chart contains only two values on X axis ("Y" and "Z") and only two values on Y axis ("B" and "C")

Expected Results:
Data range was defined for 3×3 data range: "X", "Y" and "Z" for X-axis and "A", B", "C" for Y-axis.


Reproducible: Always


User Profile Reset: No



Additional Info:
If checkboxes "First row as label" & "First column as label" are off, all data are in chart.


User-Agent: Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/61.0.3163.100 Safari/537.36
Comment 1 Vasily Melenchuk (CIB) 2017-11-15 16:17:24 UTC
Created attachment 137785 [details]
testcase
Comment 2 Commit Notification 2017-11-18 10:16:23 UTC
Vasily Melenchuk committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3af8a4faf5e20ccae2386052697713da160afb16

tdf#113861: Less aggressive expansion of chart headers.

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2017-12-07 17:02:44 UTC
Vasily Melenchuk committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=51cdf6248dbdf7a5dcddd2128bbb8f889cec25d6

tdf#113861: Unittest for chart datatable labels expansion

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2017-12-07 23:08:02 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=78a3f7e10e650bc464202dacd131f9c3b0ddfcdf

Key must be sal_uInt32 instead of sal_Int16 SCCOL, tdf#113861 follow-up

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2017-12-07 23:21:29 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7a9bd8f3345e680bfbefe949da1bd1fbcc38b615

Revert "tdf#113861: Unittest for chart datatable labels expansion"

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2017-12-08 01:46:15 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2f4832a31d1e81ffbe043d9bb1d0816a03b8d137&h=libreoffice-6-0

Key must be sal_uInt32 instead of sal_Int16 SCCOL, tdf#113861 follow-up

It will be available in 6.0.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2017-12-15 21:05:14 UTC
Vasily Melenchuk committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=be46bc5d20ad82be1d9c8513a83584ecee9edbc2

tdf#113861: Unittest for chart datatable labels expansion

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2018-01-15 10:07:54 UTC
A polite ping to Vasily Melenchuk: is this bug fixed? if so, could you
please close it as RESOLVED FIXED ? Thanks
Comment 9 Vasily Melenchuk (CIB) 2018-01-15 10:10:02 UTC
(In reply to Xisco Faulí from comment #8)
> A polite ping to Vasily Melenchuk: is this bug fixed? if so, could you
> please close it as RESOLVED FIXED ? Thanks

Yes. This issue seems fixed from my point of view.